#!/bin/bash

cat >pathways.htm <<EOF
<!DOCTYPE html>

<html>

<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0"> 
<meta name="keywords" content="mathematics, UCL">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="stylesheet" href="stylesh.css">
<title>UCL Mathematics Choices</title></head>

<body>
<div style="position:absolute;top:0;left:0;width:100%;">
<div class="line1">
UCL Mathematics Choices
</div>
EOF
for subj in y1y2pa analysis algebra geometry combprob methods programming lifesci
do
  dot -Tcmapx -o$subj.map -Tpng -o$subj.png $subj
echo "<h1>" >> pathways.htm
if [ $subj = y1y2pa ]
  then
    echo "Years 1 and 2" >> pathways.htm
  elif [ $subj = lifesci ]
  then
    echo "Life sciences options" >> pathways.htm
  elif [ $subj = combprob ]
  then
    echo "Combinatorics, statistics and finance options" >> pathways.htm
  elif [ $subj = algebra ]
  then
    echo "Algebra and number theory options" >> pathways.htm
  elif [ $subj = methods ]
  then
    echo "Applied mathematics options" >> pathways.htm
  else
    echo "$subj options" | sed 's/^./\U&\E/' | xargs -0 printf "%s" >> pathways.htm
fi
cat >>pathways.htm <<EOG
</h1>
<div class="line3">
<img src="$subj.png" usemap="#$subj" \>
<map id="$subj" name="$subj">
EOG
cat $subj.map | grep -v "<map " >> pathways.htm
echo "<p>* Some programming knowledge is desirable, as covered in the post-examination course on Python.</p><p>** Some basic knowledge of probability is essential, as covered in MATH1301 or the post-examination course on probability.</p><p>*** A-level calculus and geometry is required.</p>" >> pathways.htm
echo "</div>" >> pathways.htm
done
cat >>pathways.htm <<EOH
</div></body></html>
EOH
